<?php

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// resultTable.php: Modul der Web-Anwendung RODIN, Apache-Server

//

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Das Skript zeigt dem Benutzer die ermittelte Angebote im Bereich "Beratung und Hilfestellung".

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Eingebundene Dateien: rodin/include/global.inc.php; rodin/include/mySQL.inc.php

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Autor:			 Andreas Schilke

//

// Erstellt: 		 11.07.2003

//

// Letzte nderung:	 11.09.2003

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////





// ====================================================

// * 		global.inc.php startet die Session   	  *

// ====================================================



include_once ('../include/global.inc.php');

// ====================================================





// Der Variablen wird den Wert der ausgewhlten Sprache von Session-Variablen zugewiesen

$strLang = isset($_SESSION['lang']) ? $_SESSION['lang'] : 'de';



// Aktuelles Datum

$datCurrent = mktime(0, 0, 0, date("m"), date("j"), date("Y"));





// ============================================================================================================

// *** 			Die erforderlichen Variablen-Werte fr die Ausgabe der Website aus der DB-Tabelle holen     ***

// ============================================================================================================

$strQuery = "SELECT dKey, dValue FROM dictionary

			 WHERE dLang = '$strLang' AND dDomain IN ('searchCounsMeasure', 'resultShow')";



// ------------------------------------------------------------------------------------------------------------

// * Die Datei mySQL.inc.php stellt eine Verbindung zur Datenbank RODIN her und verarbeitet die SQL-Anfrage.  *

// * Es werden dabei alle erforderlichen Variablen-Werte von der Tabelle "dictionary" geholt				  *

// ------------------------------------------------------------------------------------------------------------



include ('../include/mySQL.inc.php');

// =====================================================================================================================



$strFrom = $_SESSION['from'] = isset($_GET['form']) ? $_GET['form'] : $_SESSION['from'];



// Aufrufendes Formular ermitteln und erforderlichen Daten aus der Datenbank abrufen und ausgeben

if ( isset($strFrom) )

{

	switch($strFrom)

	{

		// Von 'schneller Suche'

		case 'place':



            $strPostCode = $_SESSION['postCode'] = isset($_GET['postCode']) ? $_GET['postCode'] : $_SESSION['postCode'];

            $strTown = $_SESSION['town'] = isset($_GET['town']) ? $_GET['town'] : $_SESSION['town'];

            $strWords = $_SESSION['words'] = isset($_GET['words']) ? urldecode($_GET['words']) : $_SESSION['words'];



            $strLinkBack = $placeLinkBack;

            $strLinkPatch = 'searchSimple.php';



			// PLZ-Anfrage

            if($strPostCode != '')

                $strPostCodeQuery = "AND addrPostCode LIKE '$strPostCode%'";



			// Ort-Anfrage

            if($strTown != '')

                $strTownQuery = "AND addrTown LIKE '$strTown%'";



            // Stichwrter bearbeiten

            if ( trim($strWords) != '' )

            {

                $arrWords = explode(" ", $strWords);

                include ('../include/badwords.inc.php');



                foreach ($arrWords as $key => $val) {

                    if ( in_array($val, $badwords) or strlen($val) < 3)

                        unset ($arrWords[$key]);

                    else {

                        $strOffTitle .= " OR coun_offTitle LIKE '%".$arrWords[$key]."%'";

                        $strOffDescr .= " OR coun_offDescr LIKE '%".$arrWords[$key]."%'";

                        $strOrgName .= " OR orgName LIKE '%".$arrWords[$key]."%'";

                        $strOwn .= " OR coun_offTopic4 LIKE '%".$arrWords[$key]."%'";

                    }

                }



                if ( count($arrWords) > 0 )

                {

                    $strOrder = isset($_GET['order']) ? $_GET['order'] : 'coun_offEntryDate DESC';



                    $strOffTitle = substr($strOffTitle, 4);

                    $strOffDescr = substr($strOffDescr, 4);

                    $strOrgName = substr($strOrgName, 4);

                    $strOwn = substr($strOwn, 4);



                    $strQuery = "SELECT coun_offID, DATE_FORMAT(LEFT(coun_offEntryDate, 10), '%d.%m.%Y') AS measDate,

                                coun_offTitle, coun_offAddrID, coun_offOrgID, orgName, addrTown

                                FROM offers_counselling, organiser, addresses

                                WHERE coun_offStatus = 'yes' AND coun_offOrgID = orgID AND orgAddrID = addrID

                                AND ( $strOffTitle OR $strOwn OR $strOffDescr OR $strOrgName )

                                $strPostCodeQuery

                                $strTownQuery

                                ORDER BY $strOrder";

                } else {

                    header ("Location: ./searchSimple.php?error=wordsError");

                    exit;

                }

            } elseif (trim($strWords) == '') {



                $strOrder = isset($_GET['order']) ? $_GET['order'] : 'coun_offEntryDate DESC';



                $strQuery = "SELECT coun_offID, DATE_FORMAT(LEFT(coun_offEntryDate, 10), '%d.%m.%Y') AS measDate,

                            coun_offTitle, coun_offAddrID, coun_offOrgID, orgName, addrTown

                            FROM offers_counselling, organiser, addresses

                            WHERE coun_offStatus = 'yes' AND coun_offOrgID = orgID AND orgAddrID = addrID

                            $strPostCodeQuery

                            $strTownQuery

                            ORDER BY $strOrder";

			}



			break;



		// Von 'detaillierter Suche'

		case 'detail':



            // POST-Variablen lokal und in Session speichern

            $strTopic = $_SESSION['topic'] = isset($_GET['topic']) ? $_GET['topic'] : $_SESSION['topic'];

            $strType = $_SESSION['type'] = isset($_GET['type']) ? $_GET['type'] : $_SESSION['type'];

            $strPostCode = $_SESSION['postCode'] = isset($_GET['postCode']) ? $_GET['postCode'] : $_SESSION['postCode'];

            $strTown = $_SESSION['town'] = isset($_GET['town']) ? $_GET['town'] : $_SESSION['town'];

            $strDate = $_SESSION['dates'] = isset($_GET['dates']) ? $_GET['dates'] : $_SESSION['dates'];

            $strWords = $_SESSION['words'] = isset($_GET['words']) ? urldecode($_GET['words']) : $_SESSION['words'];

            $strSort = $_SESSION['sort'] = isset($_GET['sort']) ? $_GET['sort'] : $_SESSION['sort'];



            // Link 'zurck zu ...'

            $strLinkBack = $measLinkBack;

            // Dateiname fr Link

            $strLinkPatch = 'searchDetail.php';



            // Ausgewhlte Datumsaktualitt

            switch ($strDate)

            {

                case 1:

                    $intDiff = 100000000000000;

                    break;

                case 2:

                    $intDiff = 604800;

                    break;

                case 3:

                    $intDiff = 2419200;

                    break;

                case 4:

                    $intDiff = 7257600;

                    break;

                case 5:

                    $intDiff = 14515200;

                    break;

            }



            // Ausgewhltes Sortierungskriterium

            switch ($strSort)

            {

                case 1:

                    $strOrder = 'coun_offEntryDate DESC';

                    break;

                case 2:

                    $strOrder = 'coun_offEntryDate';

                    break;

                case 3:

                    $strOrder = 'coun_offTitle';

                    break;

                case 4:

                    $strOrder = 'addrTown';

                    break;

                case 5:

                    $strOrder = 'orgName';

                    break;

            }



            // Art der Manahme bearbeiten

            if ($strType != '') {

                $strQuery = "SELECT themDE FROM thematik WHERE themID = $strType";

                $result = mysql_query($strQuery);

                $line = mysql_fetch_array($result, MYSQL_ASSOC);

                $strOwnType = $line['themDE'];

                $strTypeText = "AND ( coun_offTypeID1 = $strType OR coun_offTypeID2 = $strType".

                			   " OR coun_offTypeID3 = $strType OR coun_offType4 = '$strOwnType')";

            }



            // Eingegebene PLZ

            if ($strPostCode != '')

                $strPostCodeText = "AND addrPostCode LIKE '$strPostCode%'";

            // Eingegebene Ort

            if ($strTown != '')

                $strTownText = "AND addrTown LIKE '$strTown%'";



			if (isset($_GET['order']))

				$strOrder = $_GET['order'];



            // Eigene Kategorie zum thematischen Schwerpunkt

            $strQuery = "SELECT themDE FROM thematik WHERE themID = $strTopic";

            $result = mysql_query($strQuery);

            $line = mysql_fetch_array($result, MYSQL_ASSOC);

            $strOwnTopic = $line['themDE'];



            // Stichwrter bearbeiten

            if ( trim($strWords) != '' )

            {

                $arrWords = explode(" ", $strWords);

                include ('../include/badwords.inc.php');



                foreach ($arrWords as $key => $val) {

                    if ( in_array($val, $badwords) or strlen($val) < 3)

                        unset ($arrWords[$key]);

                    else {

                        $strOffTitle .= " OR coun_offTitle LIKE '%".$arrWords[$key]."%'";

                        $strOffDescr .= " OR coun_offDescr LIKE '%".$arrWords[$key]."%'";

                        $strOrgName .= " OR orgName LIKE '%".$arrWords[$key]."%'";

                        $strOwn .= " OR coun_offTopic4 LIKE '%".$arrWords[$key]."%'";

                    }

                }



                if ( count($arrWords) > 0 )

                {

                    $strOffTitle = substr($strOffTitle, 4);

                    $strOffDescr = substr($strOffDescr, 4);

                    $strOrgName = substr($strOrgName, 4);

                    $strOwn = substr($strOwn, 4);



                    $strQuery = "SELECT coun_offID, DATE_FORMAT(LEFT(coun_offEntryDate, 10), '%d.%m.%Y') AS measDate,

                                coun_offTitle, coun_offAddrID, coun_offOrgID, orgName, addrTown

                                FROM offers_counselling, organiser, addresses

                                WHERE coun_offStatus = 'yes' AND coun_offOrgID = orgID AND orgAddrID = addrID

                                AND ( coun_offTopicID1 = $strTopic OR coun_offTopicID2 = $strTopic

                                OR coun_offTopicID3 = $strTopic OR coun_offTopic4 = '$strOwnTopic' )

                                $strTypeText

                                AND ( $datCurrent - UNIX_TIMESTAMP(LEFT(coun_offEntryDate, 10)) <= $intDiff )

                                AND ( $strOffTitle OR $strOwn OR $strOffDescr OR $strOrgName )

                                $strPostCodeText

                                $strTownText

                                ORDER BY $strOrder";

                } else {

                    header ("Location: ./searchMeasure.php?error=wordsError");

                    exit;

                }

            // Angaben ohne Stichwrter

            } else {

                $strQuery = "SELECT coun_offID, DATE_FORMAT(LEFT(coun_offEntryDate, 10), '%d.%m.%Y') AS measDate,

                            coun_offTitle, coun_offAddrID, coun_offOrgID, orgName, addrTown

                            FROM offers_counselling, organiser, addresses

                            WHERE coun_offStatus = 'yes' AND coun_offOrgID = orgID AND orgAddrID = addrID

                            AND ( coun_offTopicID1 = $strTopic OR coun_offTopicID2 = $strTopic ".

                            "OR coun_offTopicID3 = $strTopic OR coun_offTopic4 = '$strOwnTopic')

                            $strTypeText

                            AND ( $datCurrent - UNIX_TIMESTAMP(LEFT(coun_offEntryDate, 10)) <= $intDiff )

                            $strPostCodeText

                            $strTownText

                            ORDER BY $strOrder";

            }



            break;



	}



    $result = mysql_query($strQuery);

    $num = 0;



    // Resultat von SQL-Abfrage in einem anderen Array speichern, dabei werden wiederholte Eintrge vermieden

    while ($line = mysql_fetch_array($result, MYSQL_ASSOC))

    {

        $num++;

        foreach ( $line as $key => $val ) {

            $arrMeasResult[$num][$key] = $val;

        }

    }

    // Wenn keine Eintrge gefunden werden knnen

    if ( $num == 0 ) {

        header ("Location: ./".$strLinkPatch."?error=entryError");

        exit;

    }





}



// HTML-Grundgerst und Kopfdaten

include('../include/header.htm');



//Stylesheet-Datei einbinden

include('../include/resTables.css');



?>



<table align="center" border="0" width="700">

<colgroup>

   <col />

</colgroup>

    <tr>

        <td valign="top">

        	<h5 style="color: #C0C0C0"><?=$siteName?></h5>

        </td>

    </tr><tr>

		<td><a href="./<?=$strLinkPatch?>" style="color: blue">&lt;&lt;&lt; &nbsp;<?=$strLinkBack?></a><br /><br /></td>

	</tr><tr>

    	<td>

<?php



if ($num == 1)

	echo $findSinglStart, '<b> ', $num, '</b> ', $findSinglEnd;

elseif ($num > 1)

	echo $findAnyStart, "<b> ", $num, '</b> ', $findAnyEnd;



?>

        <br /><br /></td>

    </tr><tr>

		<td>

			<?=$text?><br /><br />

		</td>

	</tr><tr>



		<table width="700" border="0" cellpadding="4" cellspacing="1" bgcolor="#C0C0C0" align="center">

        <colgroup>

           <col width="35%" />

           <col width="13%" />

           <col width="20%" />

           <col width="32%" />

        </colgroup>

                <th bgcolor="#EEEEEE" valign="top">

                	<a href="./resultTable.php?order=coun_offTitle" style="color:blue"><?=$measTitle?></a>

                </th>

                <th bgcolor="#EEEEEE" valign="top">

                	<a href="./resultTable.php?order=coun_offEntryDate%20DESC" style="color:blue"><?=$dateTitle?></a>

                </th>

                <th bgcolor="#EEEEEE" valign="top">

	                <a href="./resultTable.php?order=addrTown" style="color:blue"><?=$placeTitle?></a>

                </th>

                <th bgcolor="#EEEEEE" valign="top">

                	<a href="./resultTable.php?order=orgName" style="color:blue"><?=$orgTitle?></a>

                </th>

<?php



for ($i=1;$i<=$num;$i++) {

	if ( !fmod($i, 2) )

		$color = '#EEEEEE';

	else

		$color = 'white';



	echo "<tr><td bgcolor=\"$color\"><a href=\"./resultPage.php?id=";

	echo $arrMeasResult[$i]['coun_offID'];

	echo "\" target=\"_blank\">";

	echo $arrMeasResult[$i]['coun_offTitle'];

	echo "</a></td><td bgcolor=\"$color\" align=\"center\">";

	echo $arrMeasResult[$i]['measDate'];

	echo "</td><td bgcolor=\"$color\" align=\"center\">";

	echo $arrMeasResult[$i]['addrTown'];

	echo "</td><td bgcolor=\"$color\"><a href=\"./resultPage.php?id=";

	echo $arrMeasResult[$i]['coun_offID'];

	echo "\" target=\"_blank\">";

	echo $arrMeasResult[$i]['orgName'];

	echo "</a></td></tr>\n";

}



?>

		</table>



	</td></tr>



</table>



</body>

</html>

