<?php

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// newMeasDetailForm.php: Modul der Web-Anwendung RODIN, Apache-Server

//

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Das Skript erzeugt das detaillierte Formular fr den Bereich "Bildung und Qualifizierung".

//

// Die Eingaben werden in die Datei detailFormConf.php fr die Bearbeitung per POST-Methode bergeben

// und danach dem Benutzer zur Besttiging angezeigt.

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Eingebundene Dateien: rodin/include/global.inc.php; rodin/include/mySQL.inc.php; rodin/include/mySQLForm.inc.php

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Autor:			 Andreas Schilke

//

// Erstellt: 		 11.07.2003

//

// Letzte nderung:	 28.10.2003

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////





// ====================================================

// * 		global.inc.php startet die Session   	  *

// ====================================================



include_once ('../include/global.inc.php');

// ====================================================





// Aktuelle Seite festlegen

$_SESSION['site'] = './education/newMeasDetailForm.php';





// Der Variablen wird den Wert der ausgewhlten Sprache von Session-Variablen zugewiesen

$strLang = isset($_SESSION['lang']) ? $_SESSION['lang'] : 'de';



// Variable fr den aktuellen Tag definieren

$datDay = date("d");



// Variable fr den aktuellen Monat definieren

$datMonth = date("m");



// Variable fr das aktuelle Jahr definieren

$datYear = date("Y");





// ============================================================================================================

// *** 			Die erforderlichen Variablen-Werte fr die Ausgabe der Website aus der DB-Tabelle holen     ***

// ============================================================================================================



$strQuery = "SELECT dKey, dValue FROM dictionary

			WHERE dLang = '$strLang' AND dDomain IN ('general', 'formular', 'detailForm', 'educNewMeas')";



// ---------------------------------------------------------------------------------------------------------

// * Die Datei mySQL.inc.php stellt eine Verbindung zur Datenbank RODIN her und verarbeitet die SQL-Anfrage.  *

// * Es werden dabei alle erforderlichen Variablen-Werte von der Tabelle "dictionary" geholt				  *

// ---------------------------------------------------------------------------------------------------------



include ('../include/mySQL.inc.php');

// =====================================================================================================================





if ( $_SESSION['persFromOrg'] === TRUE )		// Die Daten zur Kontaktperson des Trgers vorhanden

	$disabled = 'disabled = "disabled"';	// Formularfelder ausgrauen

elseif ( $_SESSION['persFromOrg'] === FALSE )	// ------------------ // ---------------- nicht vorhanden

	$disabled = '';							// Formularfelder normal zum Ausfllen ausgeben







// ====================================================================================================================

// *		**********************************************************************************************			  *	// * 				Alle Formular-Feld-Variablen werden definiert und mit bestimmten Werten versehen 		    	  *

// *		**********************************************************************************************			  *	// ====================================================================================================================





//							-------------------------------------------------------

// ----------------------------- Angaben zur Kontaktperson des Trgers ------------------------------------------------

//							-------------------------------------------------------



// ------------------------------------	Angaben zur Person --------------------------------------------------

$strOrgPersTitle = isset($_SESSION['org_persTitle']) ? htmlentities($_SESSION['org_persTitle']) : '';

$strOrgPersSex = isset($_SESSION['org_persSex']) ? $_SESSION['org_persSex'] : 'unknown';

$strOrgPersFirstName = isset($_SESSION['org_persFirstName']) ? htmlentities($_SESSION['org_persFirstName']) : '';

$strOrgPersLastName = isset($_SESSION['org_persLastName']) ? htmlentities($_SESSION['org_persLastName']) : '';

$strOrgPersPosition = isset($_SESSION['org_persPosition']) ? htmlentities($_SESSION['org_persPosition']) : '';



// --------------------------------------- Anschrift --------------------------------------------------------

$strOrgPersAddrType = isset($_SESSION['org_addrType']) ? $_SESSION['org_addrType'] : 'priv';

$strOrgPersAddrStreet = isset($_SESSION['org_addrStreet']) ? htmlentities($_SESSION['org_addrStreet']) : '';

$strOrgPersAddrPostBox = isset($_SESSION['org_addrPostBox']) ? htmlentities($_SESSION['org_addrPostBox']) : '';

$strOrgPersAddrPostCode = isset($_SESSION['org_addrPostCode']) ? htmlentities($_SESSION['org_addrPostCode']) : '';

$strOrgPersAddrTown = isset($_SESSION['org_addrTown']) ? htmlentities($_SESSION['org_addrTown']) : '';

$strOrgPersAddrCountry = isset($_SESSION['org_addrCountry']) ? $_SESSION['org_addrCountry'] : 'de';



// ------------------------------------	weitere Angaben zur Person ------------------------------------------

$strOrgPersTel = isset($_SESSION['org_persTel']) ? htmlentities($_SESSION['org_persTel']) : '';

$strOrgPersMobile = isset($_SESSION['org_persMobile']) ? htmlentities($_SESSION['org_persMobile']) : '';

$strOrgPersFax = isset($_SESSION['org_persFax']) ? htmlentities($_SESSION['org_persFax']) : '';

$strOrgPersEmail = isset($_SESSION['org_persEmail']) ? htmlentities($_SESSION['org_persEmail']) : '';

$strOrgPersWww = isset($_SESSION['org_persWww']) ? htmlentities($_SESSION['org_persWww']) : '';

$strOrgPersDescr = isset($_SESSION['org_persDescr']) ? htmlentities($_SESSION['org_persDescr']) : '';





//							-------------------------------------------------------

// ----------------------------- Angaben zur Kontaktperson fr die Manahme ---------------------------------

//							-------------------------------------------------------



// ------------------------------------	Personangaben -------------------------------------------------------

$strOffPersTitle = isset($_SESSION['off_persTitle']) ? htmlentities($_SESSION['off_persTitle']) : '';

$strOffPersSex = isset($_SESSION['off_persSex']) ? $_SESSION['off_persSex'] : 'unknown';

$strOffPersFirstName = isset($_SESSION['off_persFirstName']) ? htmlentities($_SESSION['off_persFirstName']) : '';

$strOffPersLastName = isset($_SESSION['off_persLastName']) ? htmlentities($_SESSION['off_persLastName']) : '';

$strOffPersPosition = isset($_SESSION['off_persPosition']) ? htmlentities($_SESSION['off_persPosition']) : '';



// ------------------------------------	Anschrift -----------------------------------------------------------

$strOffPersAddrType = isset($_SESSION['off_addrType']) ? $_SESSION['off_addrType'] : 'priv';

$strOffPersAddrStreet = isset($_SESSION['off_addrStreet']) ? htmlentities($_SESSION['off_addrStreet']) : '';

$strOffPersAddrPostBox = isset($_SESSION['off_addrPostBox']) ? htmlentities($_SESSION['off_addrPostBox']) : '';

$strOffPersAddrPostCode = isset($_SESSION['off_addrPostCode']) ? $_SESSION['off_addrPostCode'] : '';

$strOffPersAddrTown = isset($_SESSION['off_addrTown']) ? htmlentities($_SESSION['off_addrTown']) : '';

$strOffPersAddrCountry = isset($_SESSION['off_addrCountry']) ? $_SESSION['off_addrCountry'] : 'de';



// ------------------------------------	weitere Personangaben -----------------------------------------------

$strOffPersTel = isset($_SESSION['off_persTel']) ? htmlentities($_SESSION['off_persTel']) : '';

$strOffPersMobile = isset($_SESSION['off_persMobile']) ? htmlentities($_SESSION['off_persMobile']) : '';

$strOffPersFax = isset($_SESSION['off_persFax']) ? htmlentities($_SESSION['off_persFax']) : '';

$strOffPersEmail = isset($_SESSION['off_persEmail']) ? htmlentities($_SESSION['off_persEmail']) : '';

$strOffPersWww = isset($_SESSION['off_persWww']) ? htmlentities($_SESSION['off_persWww']) : '';

$strOffPersDescr = isset($_SESSION['off_persDescr']) ? htmlentities($_SESSION['off_persDescr']) : '';



//							-------------------------------------------------------

// -------------------------------------- Angaben zur Manahme ----------------------------------------------

//							-------------------------------------------------------



// ------------------------------------	Ort und Land --------------------------------------------------------

$strMeasTown = isset($_SESSION['meas_addrTown']) ? htmlentities( $_SESSION['meas_addrTown'] ) : '';

$strMeasCountry = isset($_SESSION['meas_addrCountry']) ? $_SESSION['meas_addrCountry'] : 'de';



// ------------------------------------	Voll/Teilzeit -------------------------------------------------------

$strMeasFullTimeCheck1 = isset($_SESSION['meas_offFullTimeCheck1']) ? $_SESSION['meas_offFullTimeCheck1'] : '';

$strMeasFullTimeCheck2 = isset($_SESSION['meas_offFullTimeCheck2']) ? $_SESSION['meas_offFullTimeCheck2'] : '';

$strMeasFullTimeCheck3 = isset($_SESSION['meas_offFullTimeCheck3']) ? $_SESSION['meas_offFullTimeCheck3'] : '';

$strMeasFullTimeCheck4 = isset($_SESSION['meas_offFullTimeCheck4']) ? $_SESSION['meas_offFullTimeCheck4'] : '';



// ------------------------------------	Uhrzeit -----------------------------------------------------------------------

$strMeasTimeText = isset($_SESSION['meas_offTime']) ? htmlentities( $_SESSION['meas_offTime'] ) : '';



// ------------------------------------	Tele/Heimarbeit ----------------------------------------------------------

$strMeasTeleJobCheck1 = isset($_SESSION['meas_offTeleJobCheck1']) ? $_SESSION['meas_offTeleJobCheck1'] : '';

$strMeasTeleJobCheck2 = isset($_SESSION['meas_offTeleJobCheck2']) ? $_SESSION['meas_offTeleJobCheck2'] : '';

$strMeasTeleJobText = isset($_SESSION['meas_offTeleJobText']) ? htmlentities( $_SESSION['meas_offTeleJobText'] ) : '';



// ------------------------------------	Informationsmaterialien----------------------------------------------

$strMeasBookCheck = isset($_SESSION['checkBook']) ? $_SESSION['checkBook'] : '';

$strMeasReportCheck = isset($_SESSION['checkReport']) ? $_SESSION['checkReport'] : '';

$strMeasWebCheck = isset($_SESSION['checkWeb']) ? $_SESSION['checkWeb'] : '';

$strMeasWebText = isset($_SESSION['meas_offWebText']) ?  htmlentities($_SESSION['meas_offWebText']) : '';

$strMeasVideoCheck = isset($_SESSION['checkVideo']) ? $_SESSION['checkVideo'] : '';

$strMeasCdromCheck = isset($_SESSION['checkCdrom']) ? $_SESSION['checkCdrom'] : '';

$strMeasOtherCheck = isset($_SESSION['checkOther']) ? $_SESSION['checkOther'] : '';

$strMeasOtherText = isset($_SESSION['meas_offOtherText']) ?  htmlentities($_SESSION['meas_offOtherText']) : '';



// ------------------------------------	Kosten --------------------------------------------------------------

$strMeasCostCheck1 = isset($_SESSION['meas_offCostCheck1']) ? $_SESSION['meas_offCostCheck1'] : '';

$strMeasCostCheck2 = isset($_SESSION['meas_offCostCheck2']) ? $_SESSION['meas_offCostCheck2'] : '';

$strMeasCostCheck3 = isset($_SESSION['meas_offCostCheck3']) ? $_SESSION['meas_offCostCheck3'] : '';

$strMeasCostSum = isset($_SESSION['meas_offCostSum']) ? htmlentities( $_SESSION['meas_offCostSum'] ) : '';

$strMeasCostText = isset($_SESSION['meas_offCostText']) ? htmlentities( $_SESSION['meas_offCostText'] ) : '';



// ------------------------------------	Frderung -----------------------------------------------------------

$strMeasCondition = isset($_SESSION['meas_offCondition']) ? htmlentities( $_SESSION['meas_offCondition'] ) : '';



// ------------------------------------	Sprache -------------------------------------------------------------

$strMeasLangText = isset($_SESSION['meas_offLangText']) ? htmlentities( $_SESSION['meas_offLangText'] ) : '';

$strMeasLangCheck1 = isset($_SESSION['meas_offLangCheck1']) ? $_SESSION['meas_offLangCheck1'] : '';

$strMeasLangCheck2 = isset($_SESSION['meas_offLangCheck2']) ? $_SESSION['meas_offLangCheck2'] : '';

$strMeasLangCheck3 = isset($_SESSION['meas_offLangCheck3']) ? $_SESSION['meas_offLangCheck3'] : '';



// ------------------------------------	Schule --------------------------------------------------------------------

$strMeasSchoolText = isset($_SESSION['meas_offSchoolText']) ? htmlentities( $_SESSION['meas_offSchoolText'] ) : '';

$strMeasSchoolCheck1 = isset($_SESSION['meas_offSchoolCheck1']) ? $_SESSION['meas_offSchoolCheck1'] : '';

$strMeasSchoolCheck2 = isset($_SESSION['meas_offSchoolCheck2']) ? $_SESSION['meas_offSchoolCheck2'] : '';



// ------------------------------------	Beruf ---------------------------------------------------------------

$strMeasJobText = isset($_SESSION['meas_offJobText']) ? htmlentities( $_SESSION['meas_offJobText'] ) : '';

$strMeasJobCheck1 = isset($_SESSION['meas_offJobCheck1']) ? $_SESSION['meas_offJobCheck1'] : '';

$strMeasJobCheck2 = isset($_SESSION['meas_offJobCheck2']) ? $_SESSION['meas_offJobCheck2'] : '';



// ------------------------------------	Grundkenntnisse ---------------------------------------------------------

$strMeasBasicText = isset($_SESSION['meas_offBasicText']) ? htmlentities( $_SESSION['meas_offBasicText'] ) : '';

$strMeasBasicCheck1 = isset($_SESSION['meas_offBasicCheck1']) ? $_SESSION['meas_offBasicCheck1'] : '';

$strMeasBasicCheck2 = isset($_SESSION['meas_offBasicCheck2']) ? $_SESSION['meas_offBasicCheck2'] : '';



// ------------------------------------	Verkehr ------------------------------------------------------------------

$strMeasTransportCheck1 = isset($_SESSION['meas_offTransportCheck1']) ? $_SESSION['meas_offTransportCheck1'] : '';

$strMeasTransportCheck2 = isset($_SESSION['meas_offTransportCheck2']) ? $_SESSION['meas_offTransportCheck2'] : '';

$strMeasTransportCheck3 = isset($_SESSION['meas_offTransportCheck3']) ? $_SESSION['meas_offTransportCheck3'] : '';

$strMeasTransportText = isset($_SESSION['meas_offTransportText']) ?

						htmlentities( $_SESSION['meas_offTransportText'] ) : '';



// ------------------------------------	Behinderte --------------------------------------------------------------

$strMeasDisabledCheck1 = isset($_SESSION['meas_offDisabledCheck1']) ? $_SESSION['meas_offDisabledCheck1'] : '';

$strMeasDisabledCheck2 = isset($_SESSION['meas_offDisabledCheck2']) ? $_SESSION['meas_offDisabledCheck2'] : '';



// ------------------------------------	Kinder --------------------------------------------------------------

$strMeasKidsCheck1 = isset($_SESSION['meas_offKidsCheck1']) ? $_SESSION['meas_offKidsCheck1'] : '';

$strMeasKidsCheck2 = isset($_SESSION['meas_offKidsCheck2']) ? $_SESSION['meas_offKidsCheck2'] : '';

$strMeasKidsCheck3 = isset($_SESSION['meas_offKidsCheck3']) ? $_SESSION['meas_offKidsCheck3'] : '';



// ------------------------------------	Unterkunft ----------------------------------------------------------

$strMeasAccomodationCheck1 = isset($_SESSION['meas_offAccomodationCheck1']) ?

							$_SESSION['meas_offAccomodationCheck1'] : '';

$strMeasAccomodationCheck2 = isset($_SESSION['meas_offAccomodationCheck2']) ?

							$_SESSION['meas_offAccomodationCheck2'] : '';

$strMeasAccomodationCheck3 = isset($_SESSION['meas_offAccomodationCheck3']) ?

							$_SESSION['meas_offAccomodationCheck3'] : '';



// ------------------------------------	Gleichstellung ----------------------------------------------------------

$strMeasEqualCheck1 = isset($_SESSION['meas_offEqualCheck1']) ? $_SESSION['meas_offEqualCheck1'] : '';

$strMeasEqualCheck2 = isset($_SESSION['meas_offEqualCheck2']) ? $_SESSION['meas_offEqualCheck2'] : '';

$strMeasEqualText = isset($_SESSION['meas_offEqualText']) ? htmlentities( $_SESSION['meas_offEqualText'] ) : '';



// ====================================================================================================================



// HTML-Grundgerst und Kopfdaten

include('../include/header.htm');



//Stylesheet-Datei einbinden

include('../include/form.css');



?>



<a name="oben"></a>



<table align="center" border="0" width="700" style="color: darkblue">

	<tr><td><h5 style="color: #C0C0C0"><?=$siteName?></h5>

	<h3 align="center"><?=$greeting?></h3>

	</td></tr>

	<tr><td>

		<a href="./newMeasQuickForm.php">&lt;&lt;&lt; &nbsp;<?=$linkBack?></a>

	</td></tr>

</table>



<table align="center" width="700" border="0">

<colgroup>

	<col />

	<col />

</colgroup>

	<tr>

		<td colspan="2"><br />



			<form action="./newMeasDetailFormConf.php" method="post">

			<table width="100%" border="0" cellpadding="4" cellspacing="1" bgcolor="#C0C0C0" align="center">

			<colgroup>

				<col width="25%" style="font-size:9pt" />

				<col width="75%" />

			</colgroup>



<?php



// ====================================================================================================================

// *							****************************************************								  *	// * 							  Angaben zur Kontaktperson des Trgers ausgeben							          *	// *							****************************************************								  *	// ====================================================================================================================



?>

                <tr bgcolor="#EEEEEE">

                    <td colspan="2" align="center">

                        <a href="#submit"><img src="../images/down.gif" border="0" align="left" width="14" height="10"></a>

                        <b><?=$tabOrgPersHead?></b>

                    </td>

                </tr>

                <tr bgcolor="white">

                    <td valign="top"><?=$tabPersName?></td>

                    <td>



                        <table border="0" widht="100%">

                        <colgroup>

                            <col width="25%">

                            <col width="75%">

                        <colgroup>

                            <tr>

                                <td><i><?=$tabPersTitle?></i></td>

                                <td><input type="text" name="frmOrgPersTitle" maxlength="50"

                               		value="<?=$strOrgPersTitle?>" <?=$disabled?>>

                               	</td>

                            </tr><tr>

                                <td><i><?=$tabPersSex?></i></td>

                                <td>

                                    <select name="frmOrgPersSex" <?=$disabled?>>

                                        <option value="<?=$strOrgPersSex?>"><?=${$strOrgPersSex}?></option>



<?php



// =====================================================

// * Auswahlliste "Anrede" fllen

// =====================================================



if($strOrgPersSex != 'female')

	echo "<option value=\"female\">$female</option>";



if($strOrgPersSex != 'male')

	echo "<option value=\"male\">$male</option>";



if($strOrgPersSex != 'unknown')

	echo "<option value=\"unknown\">$unknown</option>";

// =====================================================



?>



                                    </select>

                                </td>

                            </tr><tr>

                                <td><i><?=$tabPersFName?></i></td>

                                <td><input type="text" name="frmOrgPersFirstName" size="50" maxlength="100"

                                		value="<?=$strOrgPersFirstName?>" <?=$disabled?>>

                                </td>

                            </tr><tr>

                                <td><i><?=$tabPersLName?></i></td>

                                <td><input type="text" name="frmOrgPersLastName" size="50" maxlength="100"

                                		value="<?=$strOrgPersLastName?>" <?=$disabled?>>

                                </td>

                            </tr><tr>

                                <td><i><?=$tabPersPosition?></i></td>

                                <td><input type="text" name="frmOrgPersPosition" size="50" maxlength="100"

                                		value="<?=$strOrgPersPosition?>" <?=$disabled?>>

                            	</td>

                            </tr>

                        </table>



                    </td>

                </tr>

                <tr bgcolor="white">

                    <td valign="top"><?=$addrTitle?></td>

                    <td>



                        <table border="0" widht="100%">

                        <colgroup>

                            <col width="25%">

                            <col width="75%">

                        <colgroup>

                            <tr>

                                <td><i><?=$addrTypeTitle?></i></td>

                                <td>

                                    <select name="frmOrgPersAddrType" <?=$disabled?>>

          								<option value="<?=$strOrgPersAddrType?>"><?=${$strOrgPersAddrType}?></option>



<?php



// ==============================================================================

// *    Hier wird die Auswahlliste "Art der Anschrift" mit Eintrgen gefllt 	*

// ==============================================================================



if ( $strOrgPersAddrType != 'job_letter' )

	echo "<option value=\"job_letter\">$job_letter</option>";



if ( $strOrgPersAddrType != 'job_postal' )

	echo "<option value=\"job_postal\">$job_postal</option>";



if ( $strOrgPersAddrType != 'priv' )

	echo "<option value=\"priv\">$priv</option>";



if ( $strOrgPersAddrType != 'priv_job' )

	echo "<option value=\"priv_job\">$priv_job</option>";



// ==============================================================================



?>

                                    </select>

                                </td>

                            </tr><tr>

                                <td><i><?=$streetTitle?></i></td>

                                <td><input type="text" name="frmOrgPersAddrStreet" size="50" maxlength="100"

                                		value="<?=$strOrgPersAddrStreet?>" <?=$disabled?>></td>

                            </tr><tr>

                                <td><i><?=$postBoxTitle?></i></td>

                                <td><input type="text" name="frmOrgPersAddrPostBox" size="7" maxlength="8"

                                		value="<?=$strOrgPersAddrPostBox?>" <?=$disabled?>></td>

                            </tr><tr>

                                <td><i><?=$townTitle.$town?></i></td>

                                <td>

                                    <input type="text" name="frmOrgPersAddrPostCode" size="7" maxlength="6"

                                      value="<?=$strOrgPersAddrPostCode?>"<?=$disabled?>>

                                    <input type="text" name="frmOrgPersAddrTown" size="40" maxlength="100"

                                      value="<?=$strOrgPersAddrTown?>"<?=$disabled?>>

                                </td>

                            </tr><tr>

                                <td><i><?=$countryTitle?></i></td>

                                <td>

                                    <select name="frmOrgPersAddrCountry" <?=$disabled?>>

          								<option value="<?=$strOrgPersAddrCountry?>">

          									<?=${$strOrgPersAddrCountry}?>

          								</option>



<?php



// ==================================================================

// * Hier wird die Auswahlliste "Land" mit Eintrgen gefllt 		*

// * Variablen-Werte werden aus der DB-Tabelle 'dictionary' geholt  *

// ==================================================================



if ( $strOrgPersAddrCountry != 'de' )

	echo "\n<option value=\"de\">$de</option>";



if ( $strOrgPersAddrCountry != 'au' )

	echo "\n<option value=\"au\">$au</option>";



if ( $strOrgPersAddrCountry != 'it' )

	echo "\n<option value=\"it\">$it</option>";

// ==================================================================



?>

                                    </select>

                                </td>

                            </tr>

                        </table>



                    </td>

                </tr>

                <tr bgcolor="white">

                    <td valign="top"><?=$communicationTitle?></td>

                    <td>

                        <table border="0" width="100%">

                        <colgroup>

                            <col width="40%" />

                            <col width="60%" />

                        </colgroup>

                            <tr>

                                <td valign="top">



                                    <table border="0" width="100%">

                                    <colgroup>

                                        <col width="25%" />

                                        <col width="75%" />

                                    </colgroup>

                                        <tr>

                                            <td><i><?=$telefTitle?></i></td>

                                            <td><input type="text" name="frmOrgPersTel" size="21" maxlength="50"

                                                 value="<?=$strOrgPersTel?>" <?=$disabled?>>

                                            </td>

                                        </tr><tr>

                                            <td><i><?=$mobileTitle?></i></td>

                                            <td><input type="text" name="frmOrgPersMobile" size="21" maxlength="50"

                                                 value="<?=$strOrgPersMobile?>" <?=$disabled?>></td>

                                        </tr><tr>

                                            <td><i><?=$faxTitle?></i></td>

                                            <td><input type="text" name="frmOrgPersFax" size="21" maxlength="50"

                                            	 value="<?=$strOrgPersFax?>" <?=$disabled?>></td>

                                        </tr>

                                    </table>

                                </td>

                                <td valign="top">



                                    <table border="0" width="100%">

                                    <colgroup>

                                        <col width="25%" />

                                        <col width="75%" />

                                    </colgroup>

                                        <tr>

                                            <td><i><?=$emailTitle?></i></td>

                                            <td><input type="text" name="frmOrgPersEmail" size="34" maxlength="255"

                                                  value="<?=$strOrgPersEmail?>" <?=$disabled?> >

                                            </td>

                                        </tr><tr>

                                            <td><i><?=$wwwTitle?></i></td>

                                            <td><input type="text" name="frmOrgPersWww" size="34" maxlength="255"

                                                  value="<?=$strOrgPersWww?>" <?=$disabled?> ></td>

                                        </tr>

                                    </table>

                                </td>

                            </tr>

                        </table>



				</td>

                </tr>

                <tr bgcolor="white">

                    <td valign="top"><?=$descrTitle?></td>

                    <td><textarea cols="60" rows="4" wrap="virtual"

                    		      name="frmOrgPersDescr" <?=$disabled?>><?=$strOrgPersDescr?></textarea></td>

                </tr>



<?php



// ====================================================================================================================

// *							****************************************************								  *	// * 							 Angaben zur Kontaktperson fr die Manahme ausgeben								  *	// *							****************************************************								  *	// ====================================================================================================================



?>

            <tr bgcolor="#EEEEEE">

                    <td colspan="2" align="center">

                        <a href="#submit"><img src="../images/down.gif" border="0" align="left" width="14" height="10"></a>

                        <a href="#oben"><img src="../images/up.gif" border="0" align="left" width="14" height="10"></a>

                        <b><?=$tabMeasPersHead?></b>

                    </td>

                </tr>

                <tr bgcolor="white">

                    <td valign="top"><?=$tabPersName?></td>

                    <td>



                        <table border="0" widht="100%">

                        <colgroup>

                            <col width="25%">

                            <col width="75%">

                        <colgroup>

                            <tr>

                                <td><i><?=$tabPersTitle?></i></td>

                                <td><input type="text" name="frmOffPersTitle" maxlength="100"

                                		value="<?=$strOffPersTitle?>"></td>

                            </tr><tr>

                                <td><i><?=$tabPersSex?></i></td>

                                <td>

                                    <select name="frmOffPersSex">

                                        <option value="<?=$strOffPersSex?>"><?=${$strOffPersSex}?></option>

<?php



// =====================================================

// * Auswahlliste "Anrede" fllen

// =====================================================



if($strOffPersSex != 'female')

	echo "<option value=\"female\">$female</option>";



if($strOffPersSex != 'male')

	echo "<option value=\"male\">$male</option>";



if($strOffPersSex != 'unknown')

	echo "<option value=\"unknown\">$unknown</option>";

// =====================================================



?>

                                    </select>

                                </td>

                            </tr><tr>

                                <td><i><?=$tabPersFName?></i></td>

                                <td><input type="text" name="frmOffPersFirstName" size="50" maxlength="100"

                                     value="<?=$strOffPersFirstName?>"></td>

                            </tr><tr>

                                <td><i><?=$tabPersLName?></i></td>

                                <td><input type="text" name="frmOffPersLastName" size="50" maxlength="100"

                                     value="<?=$strOffPersLastName?>"></td>

                            </tr><tr>

                                <td><i><?=$tabPersPosition?></i></td>

                                <td><input type="text" name="frmOffPersPosition" size="50" maxlength="100"

                                     value="<?=$strOffPersPosition?>"></td>

                            </tr>

                        </table>



                    </td>

                </tr>

                <tr bgcolor="white">

                    <td valign="top"><?=$addrTitle?></td>

                    <td>



                        <table border="0" widht="100%">

                        <colgroup>

                            <col width="25%">

                            <col width="75%">

                        <colgroup>

                            <tr>

                                <td><i><?=$addrTypeTitle?></i></td>

                                <td>

                                    <select name="frmOffPersAddrType">

          								<option value="<?=$strOffPersAddrType?>"><?=${$strOffPersAddrType}?></option>

<?php



// ==============================================================================

// *    Hier wird die Auswahlliste "Art der Anschrift" mit Eintrgen gefllt 	*

// ==============================================================================



if ( $strOffPersAddrType != 'job_letter' )

	echo "<option value=\"job_letter\">$job_letter</option>";



if ( $strOffPersAddrType != 'job_postal' )

	echo "<option value=\"job_postal\">$job_postal</option>";



if ( $strOffPersAddrType != 'priv' )

	echo "<option value=\"priv\">$priv</option>";



if ( $strOffPersAddrType != 'priv_job' )

	echo "<option value=\"priv_job\">$priv_job</option>";



// ==============================================================================



?>

                                    </select>

                                </td>

                            </tr><tr>

                                <td><i><?=$streetTitle?></i></td>

                                <td><input type="text" name="frmOffPersAddrStreet" size="50" maxlength="100"

                                     value="<?=$strOffPersAddrStreet?>"></td>

                            </tr><tr>

                                <td><i><?=$postBoxTitle?></i></td>

                                <td><input type="text" name="frmOffPersAddrPostBox"

                                     size="7"  maxlength="8" value="<?=$strOffPersAddrPostBox?>"></td>

                            </tr><tr>

                                <td><i><?=$townTitle.$town?></i></td>

                                <td>

                                    <input type="text" name="frmOffPersAddrPostCode" size="7" maxlength="6"

                                     value="<?=$strOffPersAddrPostCode?>">

                                    <input type="text" name="frmOffPersAddrTown" size="40" maxlength="100"

                                     value="<?=$strOffPersAddrTown?>">

                                </td>

                            </tr><tr>

                                <td><i><?=$countryTitle?></i></td>

                                <td>

                                    <select name="frmOffPersAddrCountry">

          								<option value="<?=$strOffPersAddrCountry?>">

          									<?=${$strOffPersAddrCountry}?>

          								</option>

<?php



// ==================================================================

// * Hier wird die Auswahlliste "Land" mit Eintrgen gefllt 		*

// * Variablen-Werte werden aus der DB-Tabelle 'dictionary' geholt  *

// ==================================================================



if ( $strOffPersAddrCountry != 'de' )

	echo "\n<option value=\"de\">$de</option>";



if ( $strOffPersAddrCountry != 'au' )

	echo "\n<option value=\"au\">$au</option>";



if ( $strOffPersAddrCountry != 'it' )

	echo "\n<option value=\"it\">$it</option>";

// ==================================================================



?>

                                    </select>

                                </td>

                            </tr>

                        </table>



                    </td>

                </tr>

                <tr bgcolor="white">

                    <td valign="top"><?=$communicationTitle?></td>

                    <td>

                        <table border="0" width="100%">

                        <colgroup>

                            <col width="40%" />

                            <col width="60%" />

                        </colgroup>

                            <tr>

                                <td valign="top">



                                <table border="0" width="100%">

                                <colgroup>

                                    <col width="25%" />

                                    <col width="75%" />

                                </colgroup>

                                    <tr>

                                        <td><i><?=$telefTitle?></i></td>

                                        <td><input type="text" name="frmOffPersTel" size="21" maxlength="50"

                                             value="<?=$strOffPersTel?>">

                                        </td>

                                    </tr><tr>

                                        <td><i><?=$mobileTitle?></i></td>

                                        <td><input type="text" name="frmOffPersMobile" size="21" maxlength="50"

                                        	 value="<?=$strOffPersMobile?>"></td>

                                    </tr><tr>

                                        <td><i><?=$faxTitle?></i></td>

                                        <td><input type="text" name="frmOffPersFax" size="21" maxlength="50"

                                        		value="<?=$strOffPersFax?>"></td>

                                    </tr>

                                </table>

                            </td>

                            <td valign="top">



                                <table border="0" width="100%">

                                <colgroup>

                                    <col width="25%" />

                                    <col width="75%" />

                                </colgroup>

                                    <tr>

                                        <td><i><?=$emailTitle?></i></td>

                                        <td><input type="text" name="frmOffPersEmail" size="34" maxlength="255"

                                             value="<?=$strOffPersEmail?>">

                                        </td>

                                    </tr><tr>

                                            <td><i><?=$wwwTitle?></i></td>

                                            <td><input type="text" name="frmOffPersWww" size="34" maxlength="255"

                                                 value="<?=$strOffPersWww?>"></td>

                                    </tr>

                                </table>

                            </td>

                        </tr>

                    </table>



                </td>

        </tr>

        <tr bgcolor="white">

            <td valign="top"><?=$descrTitle?></td>

            <td><textarea cols="60" rows="4" wrap="virtual"

            			  name="frmOffPersDescr"><?php print trim($strOffPersDescr); ?></textarea></td>

        </tr>

<?php



// ====================================================================================================================

// *							****************************************************								  *	// * 									Angaben zur Manahme ausgeben										    	  *

// *							****************************************************								  *	// ====================================================================================================================



?>

 		<tr bgcolor="#EEEEEE">

     			<td colspan="2" align="center">

     				<a href="#submit"><img src="../images/down.gif" border="0"align="left" width="14" height="10"></a>

					<a href="#oben"><img src="../images/up.gif" border="0" align="left" width="14" height="10"></a>

					<b><?=$tabMeasHead?></b>

				</td>

    	</tr>

   		<tr bgcolor="white">

     			<td><?=$town?></td>

     			<td><input type="text" name="frmMeasTown" size="53" maxlength="100" value="<?=$strMeasTown?>"></td>

    	</tr>

   		<tr bgcolor="white">

         	<td><?=$countryTitle?></td>

            <td>

                <select name="frmMeasCountry">

          			<option value="<?=$strMeasCountry?>"><?=${$strMeasCountry}?></option>



<?php



// ==================================================================

// * Hier wird die Auswahlliste "Land" mit Eintrgen gefllt 		*

// * Variablen-Werte werden aus der DB-Tabelle 'dictionary' geholt  *

// ==================================================================



if ( $strMeasCountry != 'de' )

	echo "\n<option value=\"de\">$de</option>";



if ( $strMeasCountry != 'au' )

	echo "\n<option value=\"au\">$au</option>";



if ( $strMeasCountry != 'it' )

	echo "\n<option value=\"it\">$it</option>";

// ==================================================================



?>

                </select>

            </td>

    	</tr>



		<tr bgcolor="white">

			<td valign="top"><?=$fullTimeTitle?></td>

			<td valign="top">

				&nbsp;&nbsp;&nbsp;&nbsp;

				<input type="radio" name="frmMeasFullTime" value="fullTime" <?=$strMeasFullTimeCheck1?>><?=$fullTime?>

				&nbsp;&nbsp;&nbsp;&nbsp;

				<input type="radio" name="frmMeasFullTime" value="partTime" <?=$strMeasFullTimeCheck2?>><?=$partTime?>

				&nbsp;&nbsp;&nbsp;&nbsp;

				<input type="radio" name="frmMeasFullTime" value="byTheHour" <?=$strMeasFullTimeCheck3?>><?=$byTheHour?>

				&nbsp;&nbsp;&nbsp;&nbsp;

				<input type="radio" name="frmMeasFullTime" value="byTheDay" <?=$strMeasFullTimeCheck4?>><?=$byTheDay?>



			</td>

   		</tr>



   		<tr bgcolor="white">

            <td valign="top"><?=$timeTitle?><br /><br /><?=$timeNotice?></td>

            <td>

                <textarea cols="40" rows="4" wrap="virtual"

                          name="frmMeasTimeText"><?=$strMeasTimeText?></textarea>

            </td>

     	</tr>



		<tr bgcolor="white">

			<td valign="top"><?=$teleJobTitle?></td>

			<td valign="middle">

				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

				<input type="radio" name="frmMeasTeleJob" value="yes" <?=$strMeasTeleJobCheck1 ?>><?=$yes?>

				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

				<input type="radio" name="frmMeasTeleJob" value="no" <?=$strMeasTeleJobCheck2?>><?=$no?>

				<br /><br /><i><u><?=$ifYesTitle?></u></i> &nbsp;&nbsp;&nbsp;

				<input type="text" name="frmMeasTeleJobText" size="65" maxlength="255" value="<?=$strMeasTeleJobText?>">

				<br /><br />

			</td>

   		</tr>



  		<tr bgcolor="white">

			<td valign="top"><?=$materialTitle?></td>

			<td valign="middle">

				<p>

				<input type="checkbox" name="frmMeasBook" value="book" <?=$strMeasBookCheck?>>

					   <?=$book?><br />

				<input type="checkbox" name="frmMeasReport" value="report" <?=$strMeasReportCheck?>>

					   <?=$report?><br />

				<input type="checkbox" name="frmMeasWeb" value="web" <?=$strMeasWebCheck?>>

					   <?=$web?>&nbsp;

				<input type="text" name="frmMeasWebText" size="41" maxlength="255" value="<?=$strMeasWebText?>"><br />

				<input type="checkbox" name="frmMeasVideo" value="video" <?=$strMeasVideoCheck?>>

					   <?=$video?><br />

				<input type="checkbox" name="frmMeasCdrom" value="cdrom" <?=$strMeasCdromCheck?>>

					   <?=$cdrom?><br />

				<input type="checkbox" name="frmMeasOther" value="other" <?=$strMeasOtherCheck?>>

					   <?=$other?>&nbsp;

				<input type="text" name="frmMeasOtherText" size="64" maxlength="255" value="<?=$strMeasOtherText?>">

				</p>

			</td>

		</tr>



  		<tr bgcolor="white">

			<td valign="top"><?=$costTitle?></td>

			<td valign="top">

				<i><u><?=$cost?></u></i><br /><br />

					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

				<input type="radio" name="frmMeasCostDuty" value="yes" <?=$strMeasCostCheck1?>>

					<?=$yes?> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

				<input type="radio" name="frmMeasCostDuty" value="no" <?=$strMeasCostCheck2?>>

					<?=$no?> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

				<input type="radio" name="frmMeasCostDuty" value="possibly"

					<?=$strMeasCostCheck3?>><?=$possibly?><br /><br />

				<i><u><?=$ifYesTitle?></u><br /><br />

				<?=$howMuch?></i>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

				&nbsp;&nbsp;&nbsp;&nbsp;



				<input type="text" name="frmMeasCostSum" maxlength="100" value="<?=$strMeasCostSum?>"><br /><br />



				<table border="0" width="100%">

				<colgroup>

					<col width="25%" />

					<col width="*" />

				</colgroup>

					<tr>

						<td colspan="2"><i><u><?=$possibly?>:</u></i></td>

					</tr>

					<tr>

						<td valign="middle"><i><?=$descr?></i></td>

						<td>

							<textarea cols="58" rows="4" wrap="virtual"

									  name="frmMeasCostText"><?=$strMeasCostText?></textarea>

						</td>

					</tr>

				</table>

			</td>

		</tr>



   		<tr bgcolor="white">

			<td valign="top"><?=$conditionTitle?></td>

			<td valign="top">

				<table border="0">

				<colgroup>

					<col width="25%" />

					<col width="75%" />

				</colgroup>

					<tr>

						<td valign="middle"><i><?=$descr?> </i></td>

						<td>

							<textarea cols="43" rows="4" wrap="virtual"

									  name="frmMeasCondition"><?=$strMeasCondition?></textarea>

						</td>

					</tr>

				</table>

     		</td>

    	</tr>



   		<tr bgcolor="white">

			<td valign="top"><?=$knowhowTitle?></td>

			<td valign="top">

				<table border="0">

				<colgroup>

					<col width="25%" />

					<col width="75%" />

				</colgroup>

					<tr>

						<td><i><?=$languageTitle?><i></td>

						<td>

							<input type="text" name="frmMeasLangText" maxlength="100"

									value="<?=$strMeasLangText?>">&nbsp;&nbsp;

							<input type="radio" name="frmMeasLang" value="little"

								<?=$strMeasLangCheck1?>><?=$little?>&nbsp;&nbsp;&nbsp;&nbsp;

							<input type="radio" name="frmMeasLang" value="good"

								<?=$strMeasLangCheck2?>><?=$good?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

							<input type="radio" name="frmMeasLang" value="veryGood"

								<?=$strMeasLangCheck3?>><?=$veryGood?>

						</td>

					</tr>

					<tr>

						<td><i><?=$schoolTitle?></i>&nbsp;&nbsp;</td>

						<td>

							<input type="text" name="frmMeasSchoolText" maxlength="100"

									value="<?=$strMeasSchoolText?>">&nbsp;&nbsp;

							<input type="radio" name="frmMeasSchool" value="required"

								<?=$strMeasSchoolCheck1?>><?=$required?>&nbsp;&nbsp;&nbsp;&nbsp;

							<input type="radio" name="frmMeasSchool" value="advantageous"

								<?=$strMeasSchoolCheck2 ?>><?=$advantageous?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

						</td>

					</tr>

					<tr>

						<td><i><?=$jobTitle?> </i>&nbsp;&nbsp;</td>

						<td>

							<input type="text" name="frmMeasJobText" maxlength="100"

									value="<?=$strMeasJobText?>">&nbsp;&nbsp;

							<input type="radio" name="frmMeasJob" value="required"

								<?=$strMeasJobCheck1?>><?=$required?>&nbsp;&nbsp;&nbsp;&nbsp;

							<input type="radio" name="frmMeasJob" value="advantageous"

								<?=$strMeasJobCheck2?>><?=$advantageous?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

						</td>

					</tr>

					<tr>

						<td><i><?=$basicTitle?></i></td>

						<td valign="top">

							<input type="text" name="frmMeasBasicText" maxlength="100"

									value="<?=$strMeasBasicText?>">&nbsp;&nbsp;

							<input type="radio" name="frmMeasBasic" value="required"

								<?=$strMeasBasicCheck1?>><?=$required?>&nbsp;&nbsp;&nbsp;&nbsp;

							<input type="radio" name="frmMeasBasic" value="advantageous"

								<?=$strMeasBasicCheck2?>><?=$advantageous?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

						</td>

					</tr>

				</table>



     		</td>

    	</tr>



   		<tr bgcolor="white">

			<td valign="top"><?=$transportTitle?></td>

			<td valign="top">

				<table border="0">

				<colgroup>

					<col width="25%" />

					<col width="75%" />

				</colgroup>

					<tr>

						<td colspan="2">

							&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

							&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

							<input type="radio" name="frmMeasTransport" value="bad"

								<?=$strMeasTransportCheck1?>><?=$bad?>

							&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

							<input type="radio" name="frmMeasTransport" value="sufficient"

								<?=$strMeasTransportCheck2?>><?=$sufficient?>

							&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

							<input type="radio" name="frmMeasTransport" value="good"

								<?=$strMeasTransportCheck3?>><?=$good?>

						</td>

					</tr>

					<tr>

						<td valign="middle"><br /><i><?=$descr?></i></td>

						<td><br />

							<textarea cols="43" rows="4" wrap="virtual"

									  name="frmMeasTransportText"><?=$strMeasTransportText?></textarea>

						</td>

					</tr>

				</table>



     			</td>

    		</tr>



		<tr bgcolor="white">

			<td valign="top"><?=$disabledTitle?></td>

			<td valign="top">

				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

				<input type="radio" name="frmMeasDisabled" value="yes" <?=$strMeasDisabledCheck1?>><?=$yes?>

				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

				<input type="radio" name="frmMeasDisabled" value="no" <?=$strMeasDisabledCheck2?>><?=$no?>

			</td>

   		</tr>

		<tr bgcolor="white">

			<td valign="top"><?=$kidsTitle?></td>

			<td valign="top">

				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

				<input type="radio" name="frmMeasKids" value="yes" <?=$strMeasKidsCheck1?>><?=$yes?>

				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

				<input type="radio" name="frmMeasKids" value="no" <?=$strMeasKidsCheck2?>><?=$no?>

				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

				<input type="radio" name="frmMeasKids" value="possible" <?=$strMeasKidsCheck3?>><?=$possible?>

			</td>

	   	</tr>



		<tr bgcolor="white">

			<td valign="top"><?=$accomodationTitle?></td>

			<td valign="middle">

				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

				<input type="radio" name="frmMeasAccomodation" value="yes" <?=$strMeasAccomodationCheck1?>><?=$yes?>

				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

				<input type="radio" name="frmMeasAccomodation" value="no" <?=$strMeasAccomodationCheck2?>><?=$no?>

				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

				<input type="radio" name="frmMeasAccomodation" value="possible"

					<?=$strMeasAccomodationfCheck3?>><?=$possible?><br /><br />

			</td>

   		</tr>



		<tr bgcolor="white">

			<td valign="top"><?=$equalTitle?></td>

			<td valign="top">



				<table border="0" width="100%">

				<colgroup>

					<col width="25%" />

					<col width="75%" />

				</colgroup>

					<tr><td align="center">

							&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

                        	<input type="radio" name="frmMeasEqual" value="yes" <?=$strMeasEqualCheck1?>><?=$yes?>

                        </td><td align="left">

                        	&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

                       		<input type="radio" name="frmMeasEqual" value="no" <?=$strMeasEqualCheck2?>><?=$no?>

						</td>

					</tr><tr>

						<td valign="middle">

                            <i><u><?=$ifYesTitle?></u></i>

						</td>

						<td><br />

                            <textarea cols="43" rows="4" wrap="virtual"

                            		  name="frmMeasEqualText"><?=$strMeasEqualText?></textarea>

						</td>

					</tr>

				</table>



			</td>

	   	</tr>



	</table><br />



	<table width="100%" border="0" align="center">

	<colgroup>

    <col width="10%">

    <col width="72%">

    <col width="18%">

	</colgroup>

		<tr>

			<td valign="top" align="right">

				<a href="#oben"><img src="../images/up.gif" border="0" align="left" width="14" height="10"></a>

			</td>

			<td align="right">

				<input type="reset" name="reset" value="<?=$reset?>">

			</td>

			<td align="right">

				<input type="submit" name="submit" value="<?=$submit?>">

			</td>

		</tr>

	</table>



	</form>



</table>



</body>

</html>

