<?php

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// searchDetail.php: Modul der Web-Anwendung RODIN, Apache-Server

//

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Das Skript bietet dem Benutzer die Suche nach Manahme im Bereich "Bildung und Qualifizierung".

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Eingebundene Dateien: rodin/include/global.inc.php; rodin/include/mySQL.inc.php; rodin/include/functions.inc.php

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Autor:			 Andreas Schilke

//

// Erstellt: 		 11.07.2003

//

// Letzte nderung:	 11.09.2003

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////





// ====================================================

// * 		global.inc.php startet die Session   	  *

// ====================================================



include_once ('../include/global.inc.php');

// ====================================================





// ====================================================

// * functions.inc.php enthlt smtl. Funktionen 	  *

// ====================================================



include_once ('../include/functions.inc.php');

// ====================================================





// Unntige Session-Variablen lschen

foreach ($_SESSION as $key => $val) {

	if ( $key != 'lang' and $key != 'area' )

		unset($_SESSION[$key]);

}



// Aktuelle Seite speichern

$_SESSION['site'] = './education/searchDetail.php';





// Der Variablen wird den Wert der ausgewhlten Sprache von Session-Variablen zugewiesen

$strLang = isset($_SESSION['lang']) ? $_SESSION['lang'] : 'de';





// ============================================================================================================

// *** 			Die erforderlichen Variablen-Werte fr die Ausgabe der Website aus der DB-Tabelle holen     ***

// ============================================================================================================

$strQuery = "SELECT dKey, dValue FROM dictionary

			 WHERE dLang = '$strLang' AND dDomain IN ('searchEducMeasure', 'searchMeasure')";



// ------------------------------------------------------------------------------------------------------------

// * Die Datei mySQL.inc.php stellt eine Verbindung zur Datenbank RODIN her und verarbeitet die SQL-Anfrage.  *

// * Es werden dabei alle erforderlichen Variablen-Werte von der Tabelle "dictionary" geholt				  *

// ------------------------------------------------------------------------------------------------------------



include ('../include/mySQL.inc.php');

// =====================================================================================================================



// Fehler-Meldung leeren

$strError = '';



// Das Skript rief sich selber auf

if ($_POST) {

	switch (TRUE)

	{

		case trim($_POST['frmTopic']) == '':

			$strError = $topicError;

			break;

		case !ereg("([0-9]{2})", trim($_POST['frmPostCode'])) && trim($_POST['frmPostCode']) != '':

			$strError = $postCodeError;

			break;

		case !eregi("([a-z]{3})", trim($_POST['frmTown'])) && trim($_POST['frmTown']) != '':

			$strError = $townError;

			break;



		default:

			$topic = trim($_POST['frmTopic']); $type = trim($_POST['frmType']);

			$postCode = trim($_POST['frmPostCode']); $town = trim($_POST['frmTown']);

			$dates = trim($_POST['frmDates']); $words = urlencode(trim($_POST['frmWords']));

			$sort = trim($_POST['frmSort']);

			header ("Location: ./resultTable.php?form=detail&topic=$topic&type=$type&postCode=$postCode&town=$town&".

				    "dates=$dates&words=$words&sort=$sort");

	}

}



// ============================================================================================================

// *** 			Die Eintrge fr Auswahllisten 'Thematische Schwerpunkte', 'Art der Manahme'				***

// *** 			aus DB-Tabellen holen								    									***

// ============================================================================================================

$strValue = 'them'.strtoupper($strLang);



// 'Thematische Schwerpunkte'

$strTopicQuery = "SELECT themID, $strValue FROM thematik

			            WHERE themArea = 'education' AND themList = 'topic'

			            ORDER BY $strValue";

// 'Art der Manahme'

$strTypeQuery = "SELECT themID, $strValue FROM thematik

				         WHERE themArea = 'education' AND themList = 'kind'

				         ORDER BY $strValue";

// 'Aktualitt der Eintrge'

$strDatesQuery = "SELECT dID, dValue FROM dictionary

				  WHERE dLang = '$strLang' AND dDomain = 'searchMeasure' AND dKey LIKE 'entryList%'

				  ORDER BY dKey";



// 'Aktualitt der Eintrge'

$strSortQuery = "SELECT dID, dValue FROM dictionary

				  WHERE dLang = '$strLang' AND dDomain = 'searchMeasure' AND dKey LIKE 'sortList%'

				  ORDER BY dKey";



if ( isset($strTopicQuery) ) {

    $result = mysql_query( $strTopicQuery, $link );



    $arrTopic = array();



    // Es werden ber die Schleife die gefundenen Datenstze nacheinander gelesen und in $arrTopic gespeichert

    // Die Schleife wird durchlaufen bis die Variable $row TRUE ist. Bei FALSE wird die Schleife verlassen

    switch($strLang)

    {

      case 'de':

        while ( $row = mysql_fetch_object( $result ) )

        {

            $arrTopic[$row->themID] = $row->themDE;

        }

        break;

      case 'en':

        while ( $row = mysql_fetch_object( $result ) )

        {

            $arrTopic[$row->themID] = $row->themEN;

        }

        break;

      case 'it':

        while ( $row = mysql_fetch_object( $result ) )

        {

            $arrTopic[$row->themID] = $row->themIT;

        }

        break;

    }



    mysql_free_result($result);

}

// ==================================================================================================================





// ============================================== Art der Manahme ==================================================

if ( isset($strTypeQuery) ) {

    $result = mysql_query( $strTypeQuery, $link );



    $arrType = array();



    // Es werden ber die Schleife die gefundenen Datenstze nacheinander gelesen und in $arrType gespeichert

    // Die Schleife wird durchlaufen bis die Variable $row TRUE ist. Bei FALSE wird die Schleife verlassen

    switch ($strLang)

    {

      case 'de':

        while ( $row = mysql_fetch_object( $result ) )

        {

            $arrType[$row->themID] = $row->themDE;

        }

        break;

      case 'en':

        while ( $row = mysql_fetch_object( $result ) )

        {

            $arrType[$row->themID] = $row->themEN;

        }

        break;

      case 'it':

        while ( $row = mysql_fetch_object( $result ) )

        {

            $arrType[$row->themID] = $row->themIT;

        }

        break;

    }

	mysql_free_result($result);

}

// ==================================================================================================================





// ============================================== Aktualitt der Eintrge ===========================================

if ( isset($strDatesQuery) ) {

    $result = mysql_query( $strDatesQuery, $link );



    $arrDates = array();



    // Es werden ber die Schleife die gefundenen Datenstze nacheinander gelesen und in $arrFirma gespeichert

    // Die Schleife wird durchlaufen bis die Variable $row TRUE ist. Bei FALSE wird die Schleife verlassen

    while ( $row = mysql_fetch_object( $result ) )

    {

        $arrDates[$row->dID] = $row->dValue;

    }



    mysql_free_result($result);

}

// ==================================================================================================================







// ============================================== Sortierung der Eintrge ===========================================

if ( isset($strSortQuery) ) {

    $result = mysql_query( $strSortQuery, $link );



    $arrSort = array();



    // Es werden ber die Schleife die gefundenen Datenstze nacheinander gelesen und in $arrFirma gespeichert

    // Die Schleife wird durchlaufen bis die Variable $row TRUE ist. Bei FALSE wird die Schleife verlassen

    while ( $row = mysql_fetch_object( $result ) )

    {

        $arrSort[$row->dID] = $row->dValue;

    }



    mysql_free_result($result);

}

// ==================================================================================================================



// Wenn keine Eintrge ermittelt wurden

if ($_GET)

	$strError = ${$_GET['error']};



// HTML-Grundgerst und Kopfdaten

include('../include/header.htm');



//Stylesheet-Datei einbinden

include('../include/form.css');



?>



<form method="post" action="searchDetail.php">



<table align="center" border="0" width="700">

<colgroup>

   <col />

</colgroup>

    <tr>

        <td valign="top">

        	<h5 style="color: #C0C0C0"><?=$siteName?></h5>

        </td>

    </tr><tr>

		<td><a href="./search.php" style="color: blue">&lt;&lt;&lt; &nbsp;

			<?=$linkBack?></a><br /><br />

		</td>

	</tr><tr>

		<td>

			<dfn><?=$text?></dfn><br /><br />

		</td>

	</tr>



<?php

// Fehlermeldung ausgeben

if ( $strError != '' ) {

	echo "<tr><td style=\"color:red\" align=\"center\">";

	echo $strError;

	echo "<br /><br /></td></tr>";

}

?>

	<tr><td>



<table width="100%" border="0" cellpadding="4" cellspacing="1" bgcolor="#C0C0C0" align="center">

<colgroup>

   <col width="28%" style="font-weight: bold" />

   <col width="*" />

</colgroup>

  <tr bgcolor="#EEEEEE">

     <td colspan="2" align="center"><b><?=$title?></b></td>

  </tr>

  <tr bgcolor="white">

     <td valign="top" style="color: #FF8080"><?=$topTitle?></td>

     <td>

     	<select name="frmTopic">

	    	<option value="<?=$strTopicKey?>"><?=$select?></option>

<?php



// Die Liste 'Thematische Schwerpunkte' fllen

if ( isset($arrTopic) )

	List_Enter($arrTopic, $strTopicKey, '');



?>



       </select>

     </td>

  </tr>



  <tr bgcolor="white">

     <td valign="top"><?=$kindTitle?></td>

     <td>

     	<select name="frmType">

	    	<option value="<?=$strTypeKey?>"><?=$select?></option>



<?php

// Die Liste 'Art der Manahme' fllen

if ( isset($arrType) )

	List_Enter($arrType, $strOffTypeKey1, '');

?>



       </select>

     </td>

   </tr>



   <tr bgcolor="white">

     <td valign="top"><?=$townCompleteTitle?></td>

     <td>

     	<input type="text" name="frmPostCode"  size="7" maxlength="6">

     	<input type="text" name="frmTown" size="39" maxlength="100">

     </td>

   </tr>



  <tr bgcolor="white">

     <td valign="top"><?=$currentTitle?></td>

     <td>

     	<select name="frmDates">



<?php

// Die Liste 'Aktualitt der Eintrge' fllen

if ( isset($arrDates) ) {

	$i = 1;

    foreach ($arrDates as $val) {

        echo "<option value=\"$i\">$val</option><br />\n";

        $i++;

    }

}

?>



       </select>

     </td>

   </tr>



   <tr bgcolor="white">

     <td valign="top"><?=$headWordTitle?></td>

     <td><input type="text" name="frmWords" size="50" maxlength="100"></td>

   </tr>



  <tr bgcolor="white">

     <td valign="top"><?=$sortTitle?></td>

     <td>

     	<select name="frmSort">



<?php

// Die Liste 'Sortiert nach' fllen

if ( isset($arrSort) ) {

    $i = 1;

    foreach ($arrSort as $val) {

        echo "<option value=\"$i\">$val</option><br />\n";

        $i++;

    }

}

?>



       </select>

     </td>

   </tr>



</table>



</td></tr>

</table>



<p align="center">



<table width="700" border="0" align="center">

<colgroup>

    <col width="70%">

    <col width="12%">

    <col width="18%">

</colgroup>

    <tr>

        <td>

        </td>

        <td align="right">

            <input type="submit" name="submit" value="<?=$submit?>">

        </td>

        <td align="right">

            <input type="reset" name="reset" value="<?=$reset?>">

        </td>

    </tr>

</table>



</p>

</form>



</body>

</html>

