<?php



////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// quickFormCheck.inc.php: Modul der Web-Anwendung RODIN, Apache-Server

//

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Das Skript wird vom quickFormConf.inc.php aufgerufen.

//

// Das Skript bearbeitet die per POST empfangenen von bildung_quick_form.php Eingaben

// und prft die Pflichtfelder aus dem einfachen Formular im Bereich "Bildung und Qualifizierung" bzw.

// "Beratung und Hilfestellung".

//

// Wenn das Feld gefllt war, wird sein Wert in SESSION-Variable gespeichert.

//

// Wenn mindestens eins der Pflichtfelder nicht gefllt ist,

// wird das einfache Formular mit der Fehlermeldung an Benutzer erneunt aufgerufen.

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Eingebundene Dateien: rodin/include/functions.inc.php;

//						 rodin/education/quickForm.php bzw. rodin/education/quickForm.php//

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Autor:			 Andreas Schilke

//

// Erstellt: 		 11.07.2003

//

// Letzte nderung:	 24.09.2003

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////





// Die Datei enthlt alle verwendeten im Skript Funktionen

include_once('../include/functions.inc.php');





// Variable fr markierte Radiobuttons

$strChecked = "checked=\"checked\"";





// Aktuelles Datum

$datCurrent = mktime(0, 0, 0, date("m"), date("d"), date("Y"));



// Error-Variable lschen

unset($_SESSION['error']);





// ===============================================================================================================

// *					********************************************************************				     *

// * 						 		Daten aus dem einfachen Formular bearbeiten 								 *

// *					********************************************************************				     *

// ===============================================================================================================



switch (TRUE)



{

// ===============================================================================================================

// * 									 Angaben zum Angebot bearbeiten 									     *

// ===============================================================================================================



// * =========================================== Pflichtfelder ===================================================



// --------------------------------------------- Titel des Angebots --------------------------------------------

	case isset( $_POST['frmOffTitle'] ):

		 if ( trim( $_POST['frmOffTitle'] ) != '' )

	     	$_SESSION['offTitle'] = MySQL_Adapt( stripslashes (trim ($_POST['frmOffTitle']) ) );

	     else

	     	unset ( $_SESSION['offTitle'] );



// --------------------------------------------- Gltigkeit --------------------------------------------

	case isset( $_POST['frmOffTerm'] ):



            $strOffTerm = $_POST['frmOffTerm'];



            unset($_SESSION['offTerm']); unset($_SESSION['offTermDate']); unset($_SESSION['date']);

            unset($_SESSION['termCheck1']); unset($_SESSION['termCheck2']); unset($_SESSION['termCheck3']);

            unset($_SESSION['concretDay']); unset($_SESSION['concretMonth']); unset($_SESSION['concretYear']);

            unset($_SESSION['expectedDay']); unset($_SESSION['expectedMonth']);

            unset($_SESSION['expectedYear']);



            switch ($strOffTerm)



            {

                case "concrete":



                    if ( isset( $_POST['frmOffConcretDay'] ) and isset( $_POST['frmOffConcretMonth'] )

                    	 and isset( $_POST['frmOffConcretYear'] ) )

					{

                    	if ( !checkdate ($_POST['frmOffConcretMonth'], $_POST['frmOffConcretDay'],

                    		 $_POST['frmOffConcretYear']) ) {



                    		 $_SESSION['error'] = 'dateError';

                    	     break;



                    	} else {



                          	$datTerm = mktime(0, 0, 0, $_POST['frmOffConcretMonth'], $_POST['frmOffConcretDay'],

                          			$_POST['frmOffConcretYear']);



                        	if ( $datTerm <= $datCurrent ) {

                        		$_SESSION['error'] = 'dateError';

                        		break;

                        	}



							$_SESSION['date'] = date("d.m.Y", $datTerm);

							$_SESSION['offTermDate'] = date("Y-m-d", $datTerm);

                          	$_SESSION['offTerm'] = $strOffTerm;

                            $_SESSION['termCheck1'] = $strChecked;

                            $_SESSION['concretDay'] = $_POST['frmOffConcretDay'];

                            $_SESSION['concretMonth'] = $_POST['frmOffConcretMonth'];

                            $_SESSION['concretYear'] = $_POST['frmOffConcretYear'];



                            break;

						}

					}



                case "expected":



                    if ( isset( $_POST['frmOffExpectedDay'] ) and isset( $_POST['frmOffExpectedMonth'] )

                    	 and isset( $_POST['frmOffExpectedYear'] ) )

					{

                    	if ( !checkdate ($_POST['frmOffExpectedMonth'], $_POST['frmOffExpectedDay'],

                    		$_POST['frmOffExpectedYear']) ) {



                    		 $_SESSION['error'] = 'dateError';

                    	     break;



						} else {



                          	$datTerm = mktime(0, 0, 0, $_POST['frmOffExpectedMonth'], $_POST['frmOffExpectedDay'],

                          			$_POST['frmOffExpectedYear']);



                        	if ( $datTerm <= $datCurrent ) {

                        		$_SESSION['error'] = 'dateError';

                        		break;

                        	}



							$_SESSION['date'] = date("d.m.Y", $datTerm);

							$_SESSION['offTermDate'] = date("Y-m-d", $datTerm);

                          	$_SESSION['offTerm'] = $strOffTerm;

                            $_SESSION['termCheck2'] = $strChecked;

                            $_SESSION['expectedDay'] = $_POST['frmOffExpectedDay'];

                            $_SESSION['expectedMonth'] = $_POST['frmOffExpectedMonth'];

                            $_SESSION['expectedYear'] = $_POST['frmOffExpectedYear'];



                            break;

						}

					}



                case "limitless":



                	$_SESSION['offTerm'] = $strOffTerm;

                	$_SESSION['termCheck3'] = $strChecked;

                    break;

            }



// --------------------------------------------- Schwerpunkt (1) -----------------------------------------------

	case isset( $_POST['frmOffTopic1'] ):

		 if ( $_POST['frmOffTopic1'] != '0' ) {



		 	$_SESSION['offTopicID1'] = $_POST['frmOffTopic1'];

		 	$id = $_SESSION['offTopicID1'];

		 	$_SESSION['topic1'] = Find_Entry($id);

		 } else {

		 	unset ( $_SESSION['offTopicID1'] );

		 	unset ( $_SESSION['topic1'] );

		 }



// --------------------------------------------- Schwerpunkt (2) -----------------------------------------------

	case isset( $_POST['frmOffTopic2'] ):

		 if ( $_POST['frmOffTopic2'] != '0' AND $_POST['frmOffTopic2'] != $_POST['frmOffTopic1'] ) {



		 	$_SESSION['offTopicID2'] = $_POST['frmOffTopic2'];

		 	$id = $_SESSION['offTopicID2'];

		 	$_SESSION['topic2'] = Find_Entry($id);

		 } else {

		 	unset ( $_SESSION['offTopicID2'] );

		 	unset ( $_SESSION['topic2'] );

		 }



// --------------------------------------------- Schwerpunkt (3) -----------------------------------------------

	case isset( $_POST['frmOffTopic3'] ):

		 if ( $_POST['frmOffTopic3'] != '0' AND $_POST['frmOffTopic3'] != $_POST['frmOffTopic1']

		 	   AND $_POST['frmOffTopic3'] != $_POST['frmOffTopic2'] ) {



		 	$_SESSION['offTopicID3'] = $_POST['frmOffTopic3'];

		 	$id = $_SESSION['offTopicID3'];

		 	$_SESSION['topic3'] = Find_Entry($id);

		 } else {

		 	unset ( $_SESSION['offTopicID3'] );

		 	unset ( $_SESSION['topic3'] );

		 }



// --------------------------------------------- Schwerpunkt (Eigene Kategorie) --------------------------------

	case isset( $_POST['frmOffTopic4'] ):

		 if ( trim( $_POST['frmOffTopic4'] ) != '' AND trim( $_POST['frmOffTopic4']) != $strOffTopic1

		  	  AND trim( $_POST['frmOffTopic4']) != $strOffTopic2 AND trim( $_POST['frmOffTopic4']) != $strOffTopic3 )



		 	$_SESSION['offTopic4'] = MySQL_Adapt( stripslashes(trim($_POST['frmOffTopic4'])) );

		 else

		 	unset ( $_SESSION['offTopic4'] );



// --------------------------------------------- Name des Trgers ----------------------------------------------

	case isset( $_POST['frmOrgName'] ):

		 if ( trim( $_POST['frmOrgName'] ) != '' )

	     	$_SESSION['orgName'] = MySQL_Adapt( stripslashes( trim( $_POST['frmOrgName'] ) ) );

	     else

	     	unset ( $_SESSION['orgName'] );



// --------------------------------------------- Ort des Trgers -----------------------------------------------

	case isset( $_POST['frmAddrTown'] ):

		 if ( trim( $_POST['frmAddrTown'] ) != '' )

	     	$_SESSION['addrTown'] = MySQL_Adapt( stripslashes (trim ( $_POST['frmAddrTown'] ) ) );

	     else

	     	unset ( $_SESSION['addrTown'] );



// --------------------------------------------- Telefon des Trgers --------------------------------------------

	case isset( $_POST['frmOrgTel'] ):

		 if ( trim( $_POST['frmOrgTel'] ) != '' )

	     	$_SESSION['orgTel'] = MySQL_Adapt( stripslashes( trim( $_POST['frmOrgTel'] ) ) );

	     else

	     	unset ( $_SESSION['orgTel'] );





// * =========================================== Optionale Felder ===================================================



// ---------------------------------------------- Dauer-Beginn -----------------------------------------------



	case isset($_POST['frmMeasBeginDay']) AND isset($_POST['frmMeasBeginMonth'])

		 AND isset($_POST['frmMeasBeginYear']):



		

		unset ($_SESSION['beginCheck1']); unset ($_SESSION['beginCheck2']);

		unset ($_SESSION['offTermBegin']);

		unset ($_SESSION['beginDate']); unset ($_SESSION['meas_offTermFrom']);

        unset ($_SESSION['beginDay']); unset ($_SESSION['beginMonth']); unset ($_SESSION['beginYear']);



        $datBegin = mktime(0, 0, 0, $_POST['frmMeasBeginMonth'], $_POST['frmMeasBeginDay'],

                $_POST['frmMeasBeginYear']);



        switch (TRUE)

        {

            case $datBegin === -1:

		break;



		case $datBegin <= $datCurrent:

		    $_SESSION['error'] = 'dateError';

                break;



            case !checkdate( $_POST['frmMeasBeginMonth'], $_POST['frmMeasBeginDay'], $_POST['frmMeasBeginYear']):

			

		    $_SESSION['error'] = 'dateError';

                break;



            default:

                if ( isset($_POST['frmOffBegin']) && $_POST['frmOffBegin'] != '' ) {



					$_SESSION['offTermBegin'] = $_POST['frmOffBegin'];

                    

					if ( $_POST['frmOffBegin'] == 'exact' )

						$_SESSION['beginCheck1'] = $strChecked;

					else

					    $_SESSION['beginCheck2'] = $strChecked;

				}

				

            	$_SESSION['meas_offTermFrom'] = date("Y-m-d", $datBegin);

            	$_SESSION['beginDate'] = date("d.m.Y", $datBegin);

            	$_SESSION['beginDay'] = $_POST['frmMeasBeginDay'];

            	$_SESSION['beginMonth'] = $_POST['frmMeasBeginMonth'];

            	$_SESSION['beginYear'] = $_POST['frmMeasBeginYear'];



        }



// ---------------------------------------------- Dauer-Ende -----------------------------------------------



	case isset($_POST['frmMeasEndDay']) AND isset($_POST['frmMeasEndMonth'])

		   	   AND isset($_POST['frmMeasEndYear']):



        unset ($_SESSION['endCheck1']); unset ($_SESSION['endCheck2']);

        unset ($_SESSION['offTermEnd']);

		unset ($_SESSION['endDate']); unset($_SESSION['meas_offTermTill']);

        unset ($_SESSION['endDay']); unset ($_SESSION['endMonth']); unset ($_SESSION['endYear']);



        $datEnd = mktime(0, 0, 0, $_POST['frmMeasEndMonth'], $_POST['frmMeasEndDay'],

                $_POST['frmMeasEndYear']);

	

        switch (TRUE)

        {

            case $datEnd === -1:

		break;



            case $datEnd <= $datCurrent:

		    $_SESSION['error'] = 'dateError';

                break;



            case $datBegin > $datEnd:

		    $_SESSION['error'] = 'dateError';

		    break;



            case !checkdate( $_POST['frmMeasEndMonth'], $_POST['frmMeasEndDay'], $_POST['frmMeasEndYear']):



		    

		    $_SESSION['error'] = 'dateError';

                break;



            default:

                if ( isset($_POST['frmOffEnd']) && $_POST['frmOffEnd'] != '' ) {



					$_SESSION['offTermEnd'] = $_POST['frmOffEnd'];



					if ( $_POST['frmOffEnd'] == 'exact' )

						$_SESSION['endCheck1'] = $strChecked;

					else

					    $_SESSION['endCheck2'] = $strChecked;

				}



            	$_SESSION['meas_offTermTill'] = date("Y-m-d", $datEnd);

            	$_SESSION['endDate'] = date("d.m.Y", $datEnd);

            	$_SESSION['endDay'] = $_POST['frmMeasEndDay'];

            	$_SESSION['endMonth'] = $_POST['frmMeasEndMonth'];

            	$_SESSION['endYear'] = $_POST['frmMeasEndYear'];



        }



// --------------------------------------------- Branche -------------------------------------------------------

	case ( isset($_POST['frmOffSector']) ):

		 if ( ($_SESSION['area'] == 'education') AND $_POST['frmOffSector'] != $noSpecificSector )

	     	$_SESSION['offSector'] = MySQL_Adapt( stripslashes( $_POST['frmOffSector'] ) );

	     else

	     	unset ($_SESSION['offSector']);



// --------------------------------------------- Art des Angebots (1) ----------------------------------------------

	case isset( $_POST['frmOffType1'] ):

		 if ( $_POST['frmOffType1'] != '0' ) {



		 	$_SESSION['offTypeID1'] = $_POST['frmOffType1'];

		 	$id = $_SESSION['offTypeID1'];

		 	$_SESSION['type1'] = Find_Entry($id);

		 } else {

		 	unset ( $_SESSION['offTypeID1'] );

		 	unset ( $_SESSION['type1'] );

		 }



// --------------------------------------------- Art des Angebots (2) -----------------------------------------------

	case isset( $_POST['frmOffType2'] ):

		 if ( $_POST['frmOffType2'] != '0' AND $_POST['frmOffType2'] != $_POST['frmOffType1'] ) {



		 	$_SESSION['offTypeID2'] = $_POST['frmOffType2'];

		 	$id = $_SESSION['offTypeID2'];

		 	$_SESSION['type2'] = Find_Entry($id);

		 } else {

		 	unset ( $_SESSION['offTypeID2'] );

		 	unset ( $_SESSION['type2'] );

		 }



// --------------------------------------------- Art des Angebots (3) -----------------------------------------------

	case isset( $_POST['frmOffType3'] ):

		 if ( $_POST['frmOffType3'] != '0' AND $_POST['frmOffType3'] != $_POST['frmOffType1']

		 	 AND $_POST['frmOffType3'] != $_POST['frmOffType2'] ) {



		 	$_SESSION['offTypeID3'] = $_POST['frmOffType3'];

		 	$id = $_SESSION['offTypeID3'];

		 	$_SESSION['type3'] = Find_Entry($id);

		 } else {

		 	unset ( $_SESSION['offTypeID3'] );

		 	unset ( $_SESSION['type3'] );

		 }



// --------------------------------------------- Art des Angebots (Eigene Kategorie) --------------------------------

	case isset( $_POST['frmOffType4'] ):

		 if ( trim( $_POST['frmOffType4'] ) != '' AND trim( $_POST['frmOffType4']) != $strOffType1

		  	  AND trim( $_POST['frmOffType4']) != $strOffType2 AND trim( $_POST['frmOffType4']) != $strOffType3 )



		 	$_SESSION['offType4'] = MySQL_Adapt( stripslashes(trim($_POST['frmOffType4'])) );

		 else

		 	unset ( $_SESSION['offType4'] );



// --------------------------------------------- Beschreibung des Angebots -------------------------------------

	case isset( $_POST['frmOffDescr'] ):

		if ( trim($_POST['frmOffDescr']) != '' ) {

			$help = substr(trim($_POST['frmOffDescr']), 0, 800);

 		 	$_SESSION['offDescr'] = MySQL_Adapt( stripslashes($help) );

		} else

		 	unset ( $_SESSION['offDescr'] );





// --------------------------------------------- Typ des Trgers -----------------------------------------------

	case isset( $_POST['frmOrgType'] ):

		 if ( $_POST['frmOrgType'] != $selection )

		 	$_SESSION['orgType'] = MySQL_Adapt( stripslashes( $_POST['frmOrgType'] ) );

		 else

		 	unset ( $_SESSION['orgType'] );



// --------------------------------------------- Brozeiten -----------------------------------------------

	case isset( $_POST['frmOrgTime'] ):

		 if ( trim($_POST['frmOrgTime'] != '') ) {

		 	$help = substr(trim($_POST['frmOrgTime']), 0, 400);

		 	$_SESSION['orgOfficeTime'] = MySQL_Adapt( stripslashes($help) );

		 } else

		 	unset ( $_SESSION['orgOfficeTime'] );



// --------------------------------------------- Art der Adresse des Trgers -----------------------------------

	case isset( $_POST['frmAddrType'] ):

		if ( trim( $_POST['frmAddrTown'] ) != '' )

	     	$_SESSION['addrType'] = $_POST['frmAddrType'];



// --------------------------------------------- Strae des Trgers --------------------------------------------

	case isset( $_POST['frmAddrStreet'] ):

		 if ( trim( $_POST['frmAddrStreet'] ) != '' )

	     	$_SESSION['addrStreet'] = MySQL_Adapt ( stripslashes (trim ( $_POST['frmAddrStreet']) ) );

	     else

	     	unset ( $_SESSION['addrStreet'] );



// --------------------------------------------- Postfach des Trgers ------------------------------------------

	case isset( $_POST['frmAddrPostBox'] ):

		 if ( trim( $_POST['frmAddrPostBox'] ) != '' )

	     	$_SESSION['addrPostBox'] = MySQL_Adapt( stripslashes( trim( $_POST['frmAddrPostBox'] ) ) );

	     else

	     	unset ( $_SESSION['addrPostBox'] );



// --------------------------------------------- PLZ des Trgers -----------------------------------------------

	case isset( $_POST['frmAddrPostCode'] ):

		 if ( trim( $_POST['frmAddrPostCode'] ) != '' ) {

	     	$_SESSION['addrPostCode'] = PostCode_Check(trim ($_POST['frmAddrPostCode']));

	     } else

	     	unset ( $_SESSION['addrPostCode'] );



// --------------------------------------------- Land des Trgers ----------------------------------------------

	case isset( $_POST['frmAddrCountry'] ):

		if ( trim( $_POST['frmAddrTown'] ) != '' )

	     	$_SESSION['addrCountry'] = $_POST['frmAddrCountry'];



// --------------------------------------------- Telefax des Trgers --------------------------------------------

	case isset( $_POST['frmOrgFax'] ):

		 if ( trim( $_POST['frmOrgFax'] ) != '' )

	     	$_SESSION['orgFax'] = MySQL_Adapt( stripslashes( trim( $_POST['frmOrgFax'] ) ) );

	     else

	     	unset ( $_SESSION['orgFax'] );



// --------------------------------------------- E-Mail des Trgers ---------------------------------------------

	case isset( $_POST['frmOrgEmail'] ):

		 if ( trim( $_POST['frmOrgEmail'] ) != '' )

	     	$_SESSION['orgEmail'] = MySQL_Adapt( stripslashes( trim( $_POST['frmOrgEmail'] ) ) );

	     else

	     	unset ( $_SESSION['orgEmail'] );



// --------------------------------------------- Homepage des Trgers -------------------------------------------

	case isset( $_POST['frmOrgWww'] ):

		 if ( trim( $_POST['frmOrgWww'] ) != '' )

	     	$_SESSION['orgWww'] = MySQL_Adapt( stripslashes( trim( $_POST['frmOrgWww'] ) ) );

	     else

	     	unset ( $_SESSION['orgWww'] );



}

// ====================================================================================================================





// =================================================================================================================

// *	  																 										   *

// *  Wenn eins aller Pflichtfelder leer ist, dann zurck zum Formular mir einer Fehler-Meldung an den Benutzer    *

// *	  																 		 								   *

// =================================================================================================================



if( !$_SESSION['offTitle']

     or ( !$_SESSION['offTopicID1'] and !$_SESSION['offTopicID2'] and !$_SESSION['offTopicID3']

     	  and !$_SESSION['offTopic4'] )

     or !$_SESSION['orgName'] or !$_SESSION['addrTown'] or !$_SESSION['offTerm'] or !$_SESSION['orgTel'] )

{



	if ( !$_SESSION['error'] ) {



        switch (TRUE)

        {

            case !$_SESSION['offTitle'];

                $_SESSION['error'] = 'offTitleError';

				break;



            case !$_SESSION['offTerm']:

                $_SESSION['error'] = 'dateFillError';

				break;



            case !$_SESSION['offTopicID1'] AND !$_SESSION['offTopicID2'] AND !$_SESSION['offTopicID3']

                 AND !$_SESSION['offTopic4']:



                 $_SESSION['error'] = 'topicError';

				 break;



            case !$_SESSION['orgName']:

                $_SESSION['error'] = 'orgNameFillError';

				break;



            case !$_SESSION['addrTown']:

                $_SESSION['error'] = 'townFillError';

				break;



            case !$_SESSION['orgTel']:

            	$_SESSION['error'] = 'telError';

            	break;



        }

	}



	$strForm = $_SESSION['area'] == 'education' ? './quickForm.php?check=FALSE' :

												  './quickForm.php?check=FALSE';



	$strPfad = 'Location: '.$strForm;



	header ($strPfad);

	exit;

}

// =================================================================================================================



?>

